Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.event
Class BrokerFactoryEventManager

    java.lang.Object
      org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
          org.apache.openjpa.event.BrokerFactoryEventManager

All Implemented Interfaces:
  Serializable, EventManager

    public class BrokerFactoryEventManager

extends AbstractConcurrentEventManager

`EventManager` responsible for notifying listeners of `BrokerFactoryEvent`s.

Since:
  1.0.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
`_listeners`

Constructor Summary
`BrokerFactoryEventManager(Configuration conf)`

Method Summary
`protected void` | `fireEvent(Object event, Object listener)` Implement this method to fire the given event to the given listener.

Methods inherited from class org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
`addListener, fireEvent, getListeners, hasListener, hasListeners, isFailFast, newListenerCollection, removeListener, setFailFast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BrokerFactoryEventManager

    public BrokerFactoryEventManager(Configuration conf)

Method Detail

### fireEvent

    protected void fireEvent(Object event,
                             Object listener)

  Description copied from class: `AbstractConcurrentEventManager`
  Implement this method to fire the given event to the given listener.

  Specified by:
    `fireEvent` in class `AbstractConcurrentEventManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.